import { DatabaseService, MailService, UploadService } from './config';
import { IFile } from './config/types/interface';
import { NotificationsService } from './modules/notifications/notifications.service';
export declare class AppService {
    private readonly uploadService;
    private readonly db;
    private readonly mailService;
    private readonly notificationService;
    constructor(uploadService: UploadService, db: DatabaseService, mailService: MailService, notificationService: NotificationsService);
    uploadFiles(files?: Express.Multer.File[], type?: string): Promise<IFile[] | IFile>;
    handleReminderCorn(): Promise<void>;
    generateDailyAttendance(): Promise<void>;
}
